Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.sertexity.com/llms.txt

Use this file to discover all available pages before exploring further.

Login

Authenticate and receive access and refresh tokens. POST /auth/login  ·  No auth required

Request

{
  "email": "alice@example.com",
  "password": "Str0ng!Pass"
}
FieldTypeRequired
emailstring
passwordstring

Response 200 OK

{
  "user": {
    "id": "usr_01hx3k9j2e4m7n8p",
    "email": "alice@example.com",
    "name": "Alice"
  },
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "refresh_token": "dGhpcyBpcyBhIHJlZnJlc2ggdG9rZW4...",
  "expires_in": 900,
  "token_type": "Bearer"
}

Errors

CodeHTTPCause
VALIDATION_ERROR400Missing fields
INVALID_CREDENTIALS401Wrong email or password

Example

curl -X POST https://api.sertexity.com/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{"email":"alice@example.com","password":"Str0ng!Pass"}'